Subject: Florida memo & posters - 1/2
From: "Rhonda R. Ames" <[email-masked]>
To: "Mike Bishop" <[email-masked]>
Date: Mon, 24 Mar 2008 14:44:14 -0400

Let me know if you have problems receiving this.  I will be sending this to you in a set of two (2) because of all the difficulty I had trying to send it last week.

As I advised on the phone, the Clean Air poster is too large for me to send.  Therefore, if you decide to keep it on the poster, you will need to pull it up from the URL address.

Rhonda R. Ames
Knaggs, Harter, Brake & Schneider, P.C.
Lansing, Michigan
(517) 622-0590